### Method

# EvinceDocument Annotation set_contents

#### Declaration [src]

    gboolean
    ev_annotation_set_contents (
      EvAnnotation* annot,
      const gchar* contents
    )

#### Description [src]

Set the contents of `annot`. You can monitor changes in the annotation’s contents by connecting to notify::contents signal of `annot`.

Sets property | `EvinceDocument.Annotation:contents`

#### Parameters

`contents` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the contents have been changed, `FALSE` otherwise.